My Project: ptw32_thread_t_ Struct Reference

My Project

Public Attributes | List of all members
ptw32_thread_t_ Struct Reference

`#include <implement.h>`

## Public Attributes

unsigned __int64 | seqNumber
HANDLE | threadH
pthread_t | ptHandle
ptw32_thread_t * | prevReuse
volatile PThreadState | state
ptw32_mcs_lock_t | threadLock
ptw32_mcs_lock_t | stateLock
HANDLE | cancelEvent
void * | exitStatus
void * | parms
void * | keys
void * | nextAssoc
ptw32_mcs_lock_t | robustMxListLock
ptw32_robust_node_t * | robustMxList
int | ptErrno
int | detachState
int | sched_priority
int | cancelState
int | cancelType
int | implicit:1
DWORD | thread
size_t | align

## Member Data Documentation

## § align

size_t ptw32_thread_t_::align

## § cancelEvent

HANDLE ptw32_thread_t_::cancelEvent

## § cancelState

int ptw32_thread_t_::cancelState

## § cancelType

int ptw32_thread_t_::cancelType

## § detachState

int ptw32_thread_t_::detachState

## § exitStatus

void* ptw32_thread_t_::exitStatus

## § implicit

int ptw32_thread_t_::implicit

## § keys

void* ptw32_thread_t_::keys

## § nextAssoc

void* ptw32_thread_t_::nextAssoc

## § parms

void* ptw32_thread_t_::parms

## § prevReuse

ptw32_thread_t* ptw32_thread_t_::prevReuse

## § ptErrno

int ptw32_thread_t_::ptErrno

## § ptHandle

pthread_t ptw32_thread_t_::ptHandle

## § robustMxList

ptw32_robust_node_t* ptw32_thread_t_::robustMxList

## § robustMxListLock

ptw32_mcs_lock_t ptw32_thread_t_::robustMxListLock

## § sched_priority

int ptw32_thread_t_::sched_priority

## § seqNumber

unsigned __int64 ptw32_thread_t_::seqNumber

## § state

volatile PThreadState ptw32_thread_t_::state

## § stateLock

ptw32_mcs_lock_t ptw32_thread_t_::stateLock

## § thread

DWORD ptw32_thread_t_::thread

## § threadH

HANDLE ptw32_thread_t_::threadH

## § threadLock

ptw32_mcs_lock_t ptw32_thread_t_::threadLock

The documentation for this struct was generated from the following file:

- dynamics.mod/NewtonDynamics/source/pthreads.2/implement.h